Subject: Re: Build fail in hugetlbpage.c with linux-next and mpc85xx_defconfig

From: Michael Neuling <[email-masked]>
Date: Thu, 16 Feb 2012 16:01:28 +1100

In message <[email-masked]>
 you wrote:
> On Wed, Feb 15, 2012 at 11:37 PM, Michael Neuling <[email-masked]> wrote:
> >> > Becky,
> >> >
> >> > This has been broken in linux-next for a while. =3DA0Looks like a merge
> >> > issue but you were the last to touch it...
> >> >
> >> > arch/powerpc/mm/hugetlbpage.c: In function 'reserve_hugetlb_gpages':
> >> > arch/powerpc/mm/hugetlbpage.c:313: error: passing argument 5 of 'parse=
> _ar=3D
> >> gs' makes integer from pointer without a cast
> >> > include/linux/moduleparam.h:317: note: expected 's16' but argument is =
> of =3D
> >> type 'int (*)(char *, char *)'
> >> > arch/powerpc/mm/hugetlbpage.c:313: error: too few arguments to functio=
> n '=3D
> >> parse_args'
> >>
> >> A suggest fix has been submitted.
> >
> > Do you have a link? =A0Which tree is it going in?
> 
> http://lists.ozlabs.org/pipermail/linuxppc-dev/2012-February/095903.html
> 
> I just sent it. I'm not sure who would pick this up. Ideally it would
> go in the next release.

I think that's a different problem, as that's already in next.

sfr posted where problem patch is

Mikey